<?php
namespace Teknisa\GOP\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class Ger03000ConclusaoPrepOrcaService {
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function beginTransaction() {
        $this->connection->beginTransaction();
    }
    
    public function commit() {
        $this->connection->commit();
    }
    
    public function rollback() {
        $this->connection->rollback();
    }
    
    public function updateBudget($params) {
        $sqlUpdate = "UPDATE CONCPREORCAGOP
                        SET
                            IDSTATUS = 'CONCLUIDO'
                        WHERE
                            NRCONCPREORCAGOP = :P_NRCONCPREORCAGOP";
        try{
            $std = $this->connection->prepare($sqlUpdate);
            $std->execute($params);
        }catch(Exception $e) {
            throw $e; 
        }
    }
    
    public function insertBudget($params) {
        $sqlInsert = "INSERT INTO CONCPREORCAGOP (IDSTATUS, NRCONCPREORCAGOP, IDTIPOORCAOP, CDFILIAL, NRORG, IDATIVO, NRORCAMENTOGOP, DTINICIALPREP, DTFINALPREP)
                        VALUES ('CONCLUIDO', :P_NRCONCPREORCAGOP, :P_IDTIPOORCAOP, :P_CDFILIAL, :P_NRORG, :P_IDATIVO, :P_NRORCAMENTOGOP, :P_DTINICIALPREP, :P_DTFINALPREP)";
        
        try{
            $std = $this->connection->prepare($sqlInsert);
            $std->execute($params);
        }catch(Exception $e) {
            throw $e;
        }
    }
}